@extends('master')

@section('title', 'Homepage')

@section('content')

<div class="w3-row">
    <div class="w3-col m7">


        <div class="w3-row-padding">
            <div class="w3-col m12">

                <div class="w3-card w3-round w3-white">
                    @if ($errors->any())
                    <div class="alert alert-danger">
                        <ul>
                            @foreach ($errors->all() as $error)
                            <div class="w3-container w3-padding" style=" z-index: 10; top:20px; right: 20 px; background-color:red;">{{ $error }}</li>
                            </div>
                            @endforeach
                        </ul>
                    </div>
                    @endif
                    @if ($flash = session('note'))
                    <div class="w3-container w3-padding" style=" z-index: 10; top:20px; right: 20 px; background-color:lime;">
                        {{ $flash }}
                    </div>
                    @endif
                    <div class="w3-container w3-padding">
                        <h6 class="w3-opacity">Post a message:</h6>

                        <form class="w3-row-padding w3-col m12 w3-card w3-round w3-white w3-container w3-padding" action="/create" method="post">
                            <input type="text" class=" w3-border w3-padding" name="title" placeholder="Title">
                            <p><input type="text" class=" w3-border w3-padding" name="content" placeholder="Content"></p>
                            {{ csrf_field() }}

                            <button type="submit" class="w3-button w3-theme"><i class="fa fa-pencil"></i>  Post</button>

                        </form>
                        <br><br>
                    </div>
                    <div class="w3-container w3-padding">
                        <h6 class="w3-opacity">Recent posts:</h6>

                        <ul>

                            @foreach($messages as $message)
                            <li class="w3-container w3-card w3-margin">
                                <h5>{{ $message->title }}</h5>
                                <p>{{ $message->content }}</p>
                                <br>
                                <span class="w3-right w3-opacity">{{ $message->created_at->format('d/m/Y H:i') }}</span>
                                <br>
                                <a href="/message/{{ $message->id }}" class="w3-button w3-theme-d1 w3-margin-bottom">View</a>

                            </li>
                            @endforeach

                        </ul>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>






@endsection